# Uses of Interface
javax.xml.crypto.dsig.keyinfo.PGPData

Packages that use PGPData
Package
Description
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of PGPData in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that return PGPData
Modifier and Type
Method
Description
`abstract PGPData`
KeyInfoFactory.`newPGPData​(byte[] keyId)`
Creates a `PGPData` from the specified PGP public key identifier.
`abstract PGPData`
KeyInfoFactory.`newPGPData​(byte[] keyId, byte[] keyPacket, List<? extends XMLStructure> other)`
Creates a `PGPData` from the specified PGP public key identifier, and optional key material packet and list of external elements.
`abstract PGPData`
KeyInfoFactory.`newPGPData​(byte[] keyPacket, List<? extends XMLStructure> other)`
Creates a `PGPData` from the specified PGP key material packet and optional list of external elements.